Subject: Re: Dealing with obsoleted CygUtils packages
From: Vladimir G Ivanovic <[email-masked]>
To: [email-masked]
Cc: Charles Wilson <[email-masked]>
Date: Wed, 02 Aug 2000 11:30:49 -0700

"CW" == Charles Wilson <[email-masked]> writes:

  Vladimir G Ivanovic wrote:
  >
  > How does one remove only those files in a CygUtils usr-local
  > package (e.g. zlib, libpng, jbigkit, jpeg, tiff, login and
  > inetutils) that are now obsolete because they are included in the
  > standard Cygwin distribution?
  >
  > I could:
  >
  > * delete everything and reinstall everything

  CW> Yuck!

It's not as bad as it sounds. I keep *all* my installation files ---
native Windows apps, Java, Cygwin distribution and packages, etc. --- so
I can always re-install something.

  >   * write a script that removes from /usr/local/... any file that also
  >     exists in /usr/...

  CW> I'd recommend against this. Often you WANT to override a package
  CW> with a newer version (or customized version) in /usr/local. Also,
  CW> the packages that I've ported from cygutils --> official status
  CW> often contain *different* files:
  CW>   cygutils : /usr/local/include/static/*
  CW>              /usr/local/lib/libfoo.a-dll
  CW>              /usr/local/lib/libfoo.a-static
  CW>   etc.

  CW> The best way is to look at my careful README's and webpages on
  CW> cygutils, and explicitly delete all the files that a given,
  CW> obsoleted, package installs.

Hmmm. Since my preference is to have (effectively)

      PATH=$HOME/bin:/usr/local/bin:/usr/bin

I'll manually create a script which removes the obsoleted files. If it
doesn't hose my system <grin>, I'll post it.

---Vladimir

Vladimir G. Ivanovic                    http://www.leonora.org/~vladimir
2770 Cowper St.                                         [email-masked]
Palo Alto, CA 94306-2447                                 +1 650 678 8014

--
Want to unsubscribe from this list?
Send a message to [email-masked]